PHPExcel_Shared_Escher

# Class: PHPExcel_Shared_Escher_DggContainer

Source Location: /PHPExcel/Shared/Escher/DggContainer.php

### Class Overview

PHPExcel_Shared_Escher_DggContainer

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- getBstoreContainer
- getCDgSaved
- getCSpSaved
- getIDCLs
- getOPT
- getSpIdMax
- setBstoreContainer
- setCDgSaved
- setCSpSaved
- setIDCLs
- setOPT
- setSpIdMax

### Class Details

[line 35]
PHPExcel_Shared_Escher_DggContainer

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method getBstoreContainer [line 144]

`PHPExcel_Shared_Escher_DggContainer_BstoreContainer getBstoreContainer( )`

Get BLIP Store Container

#### Tags:

access: | public

[ Top ]

### method getCDgSaved [line 104]

`int getCDgSaved( )`

Get total number of drawings saved

#### Tags:

access: | public

[ Top ]

### method getCSpSaved [line 124]

`int getCSpSaved( )`

Get total number of shapes saved (including group shapes)

#### Tags:

access: | public

[ Top ]

### method getIDCLs [line 189]

`array getIDCLs( )`

Get identifier clusters

#### Tags:

access: | public

[ Top ]

### method getOPT [line 176]

`mixed getOPT( int $property)`

Get an option for the drawing group

#### Tags:

access: | public

#### Parameters:

int | $property | The number specifies the option

[ Top ]

### method getSpIdMax [line 84]

`int getSpIdMax( )`

Get maximum shape index of all shapes in all drawings (plus one)

#### Tags:

access: | public

[ Top ]

### method setBstoreContainer [line 154]

`void setBstoreContainer( PHPExcel_Shared_Escher_DggContainer_BstoreContainer $bstoreContainer)`

Set BLIP Store Container

#### Tags:

access: | public

#### Parameters:

PHPExcel_Shared_Escher_DggContainer_BstoreContainer | $bstoreContainer |

[ Top ]

### method setCDgSaved [line 114]

`void setCDgSaved( int $value)`

Set total number of drawings saved

#### Tags:

access: | public

#### Parameters:

int | $value |

[ Top ]

### method setCSpSaved [line 134]

`void setCSpSaved( int $value)`

Set total number of shapes saved (including group shapes)

#### Tags:

access: | public

#### Parameters:

int | $value |

[ Top ]

### method setIDCLs [line 199]

`void setIDCLs( array $pValue)`

Set identifier clusters. array(<drawingId> => <max shape id>, ...)

#### Tags:

access: | public

#### Parameters:

array | $pValue |

[ Top ]

### method setOPT [line 165]

`void setOPT( int $property, mixed $value)`

Set an option for the drawing group

#### Tags:

access: | public

#### Parameters:

int | $property | The number specifies the option
mixed | $value |

[ Top ]

### method setSpIdMax [line 94]

`void setSpIdMax( int $value)`

Set maximum shape index of all shapes in all drawings (plus one)

#### Tags:

access: | public

#### Parameters:

int | $value |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:43 +0200 by phpDocumentor 1.4.4